GET V1/Payments.{ext}/PaymentFileTransactions?pfId={pfId}&pfDetailStatus={pfDetailStatus}
Will Get List of Transactions/Comments for Payment File(Header information).
Mandatory Fields: pfId, pfStatus.
Optional Fields: N/A.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pfId |
System Generated Payment File Id |
integer |
Required |
| pfDetailStatus |
Payment File Details Status |
string |
Required |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
EMSResponseOfEMS.Payments.Entities.PaymentFileTransactions| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.PaymentFileTransactions |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "PaymentFileTransactions",
"response": {
"paymentFileTransactionList": [
{
"status": "sample string 1",
"pfDetailsId": 2,
"productName": "sample string 3",
"billPaymentType": "sample string 4",
"clientName": "sample string 5",
"pfTransactionId": "sample string 6",
"transactionId": "sample string 7",
"prokarmaVendorName": "sample string 8",
"prokarmaAccountNumber": "sample string 9",
"paybleBy": "sample string 10",
"remitAccountNumber": "sample string 11",
"paymentMethod": "sample string 12",
"deliveryMethod": "sample string 13",
"checkNumber": "sample string 14",
"checkDocNumber": "sample string 15",
"prokarmaVendorRemitCode": "sample string 16",
"paymentCurrency": "sample string 17",
"fromDate": "2026-06-01T14:15:02.1878162-04:00",
"toDate": "2026-06-01T14:15:02.1878162-04:00",
"dueDate": "2026-06-01T14:15:02.1878162-04:00",
"settlementDate": "2026-06-01T14:15:02.1878162-04:00",
"billAmount": 22.0,
"currentCharges": 23.0,
"payBy": "sample string 24",
"payByAmount": 25.0,
"docId": "sample string 26",
"accountType": "sample string 27",
"partOfSummaryAccount": "sample string 28",
"fsName": "sample string 29",
"latePaymentReason": "sample string 30",
"latePaymentComments": "sample string 31",
"rejectedDate": "2026-06-01T14:15:02.1878162-04:00",
"userId": "sample string 32",
"comments": "sample string 33",
"clearDate": "2026-06-01T14:15:02.1878162-04:00",
"clientCode": "sample string 34",
"billId": 35,
"pfType": "sample string 36"
},
{
"status": "sample string 1",
"pfDetailsId": 2,
"productName": "sample string 3",
"billPaymentType": "sample string 4",
"clientName": "sample string 5",
"pfTransactionId": "sample string 6",
"transactionId": "sample string 7",
"prokarmaVendorName": "sample string 8",
"prokarmaAccountNumber": "sample string 9",
"paybleBy": "sample string 10",
"remitAccountNumber": "sample string 11",
"paymentMethod": "sample string 12",
"deliveryMethod": "sample string 13",
"checkNumber": "sample string 14",
"checkDocNumber": "sample string 15",
"prokarmaVendorRemitCode": "sample string 16",
"paymentCurrency": "sample string 17",
"fromDate": "2026-06-01T14:15:02.1878162-04:00",
"toDate": "2026-06-01T14:15:02.1878162-04:00",
"dueDate": "2026-06-01T14:15:02.1878162-04:00",
"settlementDate": "2026-06-01T14:15:02.1878162-04:00",
"billAmount": 22.0,
"currentCharges": 23.0,
"payBy": "sample string 24",
"payByAmount": 25.0,
"docId": "sample string 26",
"accountType": "sample string 27",
"partOfSummaryAccount": "sample string 28",
"fsName": "sample string 29",
"latePaymentReason": "sample string 30",
"latePaymentComments": "sample string 31",
"rejectedDate": "2026-06-01T14:15:02.1878162-04:00",
"userId": "sample string 32",
"comments": "sample string 33",
"clearDate": "2026-06-01T14:15:02.1878162-04:00",
"clientCode": "sample string 34",
"billId": 35,
"pfType": "sample string 36"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.